Bug 1780254 - Upgrades can cause Console CSS to break/not render until cache is cleared
Summary: Upgrades can cause Console CSS to break/not render until cache is cleared
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.1.z
Hardware: x86_64
OS: Mac OS
unspecified
low
Target Milestone: ---
: 4.1.z
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1772687 1774508
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-05 15:20 UTC by Samuel Padgett
Modified: 2019-12-20 00:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1774508
Environment:
Last Closed: 2019-12-20 00:29:47 UTC
Target Upstream Version:


Attachments (Terms of Use)
AfterUpgradeCSSRequests (182.94 KB, image/png)
2019-12-11 03:34 UTC, Yadan Pei
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 3687 'None' 'open' '[release-4.1] Bug 1780254: webpack: include contenthash in CSS filenames' 2019-12-05 15:21:05 UTC
Red Hat Product Errata RHBA-2019:4186 None None None 2019-12-20 00:29:49 UTC

Comment 2 Yadan Pei 2019-12-11 03:33:25 UTC
1. Open F12 before visiting Console URL and make sure `Disable Cache` is NOT checked
2. Login to console and do upgrade to from 4.1.0-0.nightly-2019-12-07-021144 to 4.1.0-0.nightly-2019-12-10-090823
3. After the upgrade finishes, send console URL again and check CSS request in Network tab, all CSS request return 200

Verified on upgrade from 4.1.0-0.nightly-2019-12-07-021144 to 4.1.0-0.nightly-2019-12-10-090823

Comment 3 Yadan Pei 2019-12-11 03:34:01 UTC
Created attachment 1643804 [details]
AfterUpgradeCSSRequests

Comment 5 errata-xmlrpc 2019-12-20 00:29:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4186


Note You need to log in before you can comment on or make changes to this bug.